karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Oliver Lietz <apa...@oliverlietz.de>
Subject Re: integration tests fail with Karaf 3.0.0 and Pax Exam
Date Fri, 27 Dec 2013 16:58:57 GMT
Am Freitag, 27. Dezember 2013 schrieb Oliver Lietz:
> Am Freitag, 27. Dezember 2013 schrieb Achim Nierbeck:
> > The tools for testing are now included with pax-exam. You just need to
> > use those.
> 
> hello Achim,
> 
> I already use them from Pax Exam. The integration tests for Sling Launchpad
> Karaf look very similar to yours in Camel-Pax-Exam-Demo (which uses Karaf
> 2.2.11). I think you will face the same problem when upgrading to 3.0.0.
> Btw you can remove the dependency org.apache.kataf.tooling.exam.options
> from route-control/pom.xml.

solved by adding useDeployFolder(false) AND switching from bundle() to 
streamBundle():

http://svn.apache.org/viewvc?view=revision&revision=1553688

(cross-checked with Achim's Camel-Pax-Exam-Demo, removing 
useDeployFolder(false) after upgrading to Karaf 3.0.0 breaks the tests)

I don't think that this is documented anywhere (Karaf/Pax Exam).

regards,
O.

> regards,
> O.
> 
> > Regards, Achim
> > 
> > sent from mobile device
> > 
> > Am 27.12.2013 14:28 schrieb "Oliver Lietz" <apache@oliverlietz.de>:
> > > hello all,
> > > 
> > > the integration tests for Sling Launchpad Karaf[1] fail when upgrading
> > > Karaf
> > > from 3.0.0.RC1 to 3.0.0 with "java.lang.ClassNotFoundException:
> > > org.apache.sling.launchpad.karaf.testing.KarafTestSupport not found by
> > > PAXEXAM-PROBE-[...]".
> > > Upgrading Pax Exam to 3.4.0 or 3.5.0-SNAPSHOT does not help. Any ideas?
> > > 
> > > thanks,
> > > O.
> > > 
> > > [1]
> > > 
> > > http://svn.apache.org/viewvc/sling/trunk/contrib/launchpad/karaf/org.ap
> > > ac he.sling.launchpad.karaf- integration-tests/


Mime
View raw message